%% Zobrazeni pouze detekovanych segmentovanych cev
projekce=projekce2Dprumer; %upravit podle projekce, v niz s emaji detekovat cevy
S=size(projekce);
cevy=zeros(S(1),S(2));
for rr=1:S(1)
    for r=1:S(2)
        if projekce(rr,r)>=((0.27)*(max(projekce(:))-min(projekce(:)))); 
            cevy(rr,r)=1; %ve 2Dprojekci vybírá 27% nejtmavsich poli, urcuje je jako cevy
        else cevy(rr,r)=0;
        end
    end
end
imtool(cevy); %zobrazeni detekce cev